%define Werror_cflags %nil
%define _disable_ld_no_undefined 1
%define _disable_ld_as_needed 1

Summary:        A free chess program, plays a decent game of chess
Name:           crafty
Version:        25.0.1
Release:        %mkrel 3
License:        Freeware, but restricted - consult the source code before use
Group:          Games/Boards
URL:            http://www.craftychess.com/

Source0:        http://www.craftychess.com/%{name}-%{version}.zip
Source1:        http://www.craftychess.com/book.bin
Source2:        ftp://ftp.cis.uab.edu/pub/hyatt/book/books.bin
Source3:        ftp://ftp.cis.uab.edu/pub/hyatt/book/bookc.bin

Patch0:         crafty-25.0.1-fix-Makefile.patch
Patch1:         crafty-25.0.1-setup-paths.patch
Patch2:         crafty-opensuse-debian-25.0.1-security-203541.patch
Patch3:         crafty-25.0.1-fix-Makefile-2.patch
Patch4:         crafty-25.0.1-fix-boolean.c.patch

%description
Crafty is a chess program written by Bob Hyatt <hyatt at cis.uab.edu>.
It is a direct descendent of Cray Blitz, the World Computer Champion
from 1983 to 1989.

It comes with a text interface like gnuchess does. If you want a graphical
interface, you can install GUI chessboards such as xboard or eboard.

Crafty is based on the classic BITMAP approach to representing the chess
board, but uses a unique methodology called "rotated bitmaps" to
significantly improve the performance of the chess engine.


%prep
%global dir %{name}-%{version}
rm -fr %{dir}
mkdir %{dir}
cd %{dir}
unzip %{SOURCE0}
%patch0 -p0
%patch1 -p1
%patch2 -p1
%patch3 -p1 -b .fix-makefile-2
%patch4 -p1 -b .fix-bool

%build
cd %{dir}
make CFLAGS="%{optflags}" opt='-DPOPCNT -DCPUS=4' unix-gcc

%install
cd %{dir}
install -D -m 755 %{name} %{buildroot}%{_gamesbindir}/%{name}

# opening book
install -D -m 644 %{_sourcedir}/book.bin %{buildroot}%{_gamesdatadir}/%{name}/book.bin
install -D -m 644 %{_sourcedir}/books.bin %{buildroot}%{_gamesdatadir}/%{name}/books.bin
install -D -m 644 %{_sourcedir}/bookc.bin %{buildroot}%{_gamesdatadir}/%{name}/bookc.bin

%files
%doc %{dir}/%{name}.hlp
%{_gamesbindir}/*
%{_gamesdatadir}/*


%changelog
* Thu Mar 24 2016 shlomif <shlomif> 25.0.1-3.mga6
+ Revision: 995088
- Hopefully fix the build on i586 by disabling inlineasm.
- Hopefully fix build on non-x86-64
- Rebuild due to a build problem
- New version 25.0.1
- Update the URL

* Wed Oct 15 2014 umeabot <umeabot> 23.4-7.mga5.nonfree
+ Revision: 744582
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 23.4-6.mga5.nonfree
+ Revision: 678582
- Mageia 5 Mass Rebuild

* Tue May 06 2014 shlomif <shlomif> 23.4-5.mga5.nonfree
+ Revision: 620886
- Correct some typos + retab

* Thu Oct 31 2013 tmb <tmb> 23.4-4.mga4.nonfree
+ Revision: 548346
- Mageia 4 rebuild

* Fri Jan 11 2013 umeabot <umeabot> 23.4-3.mga3.nonfree
+ Revision: 348294
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 01 2012 kamil <kamil> 23.4-2.mga3.nonfree
+ Revision: 324383
- rebuild for Mga3 Beta1

* Thu Jul 19 2012 kamil <kamil> 23.4-1.mga3.nonfree
+ Revision: 272362
- use the newest book.bin books.bin and bookc.bin
- update license
- delete all old patches
- import new patches (P0, P1, P2) from opensuse, and rediff
- install only the binary and book
- adapt spec for Mageia
- imported package crafty

